# FoundationClasses
TKernel
Storage

# Storage_TypedCallBack Class Reference

`#include <Storage_TypedCallBack.hxx>`

Inheritance diagram for Storage_TypedCallBack:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_TypedCallBack ()
Standard_EXPORT | Storage_TypedCallBack (const TCollection_AsciiString &aTypeName, const Handle(Storage_CallBack)&aCallBack)
Standard_EXPORT void | SetType (const TCollection_AsciiString &aType)
Standard_EXPORT TCollection_AsciiString | Type () const
Standard_EXPORT void | SetCallBack (const Handle(Storage_CallBack)&aCallBack)
Standard_EXPORT Handle_Storage_CallBack | CallBack () const
Standard_EXPORT void | SetIndex (const Standard_Integer anIndex)
Standard_EXPORT Standard_Integer | Index () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myType
Handle_Storage_CallBack | myCallBack
Standard_Integer | myIndex

## Constructor & Destructor Documentation

Standard_EXPORT Storage_TypedCallBack::Storage_TypedCallBack | ( |  | ) |

Standard_EXPORT Storage_TypedCallBack::Storage_TypedCallBack | ( | const TCollection_AsciiString & | aTypeName,
|  | const Handle(Storage_CallBack)& | aCallBack
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Storage_CallBack Storage_TypedCallBack::CallBack | ( |  | ) | const

Standard_EXPORT const Storage_TypedCallBack::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Standard_Integer Storage_TypedCallBack::Index | ( |  | ) | const

Standard_EXPORT void Storage_TypedCallBack::SetCallBack | ( | const Handle(Storage_CallBack)& | aCallBack | ) |

Standard_EXPORT void Storage_TypedCallBack::SetIndex | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Storage_TypedCallBack::SetType | ( | const TCollection_AsciiString & | aType | ) |

Standard_EXPORT TCollection_AsciiString Storage_TypedCallBack::Type | ( |  | ) | const

## Field Documentation

Handle_Storage_CallBack Storage_TypedCallBack::myCallBack `[private]`

Standard_Integer Storage_TypedCallBack::myIndex `[private]`

TCollection_AsciiString Storage_TypedCallBack::myType `[private]`

The documentation for this class was generated from the following file:

- Storage_TypedCallBack.hxx